Package picard.sam.markduplicates

## Class SimpleMarkDuplicatesWithMateCigar

- java.lang.Object
- - picard.cmdline.CommandLineProgram
  - - picard.sam.markduplicates.util.AbstractOpticalDuplicateFinderCommandLineProgram
    - - picard.sam.markduplicates.util.AbstractMarkDuplicatesCommandLineProgram
      - - picard.sam.markduplicates.MarkDuplicates
        - - picard.sam.markduplicates.SimpleMarkDuplicatesWithMateCigar

- Direct Known Subclasses:
    `UmiAwareMarkDuplicatesWithMateCigar`

      @DocumentedFeature
      @ExperimentalFeature
      public class SimpleMarkDuplicatesWithMateCigar
      extends MarkDuplicates

  This is a simple tool to mark duplicates using the DuplicateSetIterator, DuplicateSet, and SAMRecordDuplicateComparator. Users should continue to use MarkDuplicates in general. The main motivation of this tool was the fact that MarkDuplicates has many, many, many useful test cases, but few unit tests for validating individual duplicate sets. To test the DuplicateSetIterator, DuplicateSet, and SAMRecordDuplicateComparator, the most expedient method was to write this tool and make sure it behaves similarly to MarkDuplicates. Not the best, I know, but good enough. NH 06/25/2015. See MarkDuplicates for more details.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class picard.sam.markduplicates.MarkDuplicates

      `MarkDuplicates.DuplicateTaggingPolicy, MarkDuplicates.DuplicateType`

    - ### Nested classes/interfaces inherited from class picard.sam.markduplicates.util.AbstractMarkDuplicatesCommandLineProgram

      `AbstractMarkDuplicatesCommandLineProgram.SamHeaderAndIterator`

  - ### Field Summary

    - ### Fields inherited from class picard.sam.markduplicates.MarkDuplicates

      `BARCODE_TAG, CLEAR_DT, DUPLEX_UMI, DUPLICATE_SET_INDEX_TAG, DUPLICATE_SET_SIZE_TAG, DUPLICATE_TYPE_LIBRARY, DUPLICATE_TYPE_SEQUENCING, DUPLICATE_TYPE_TAG, libraryIdGenerator, MAX_FILE_HANDLES_FOR_READ_ENDS_MAP, MAX_SEQUENCES_FOR_DISK_READ_ENDS_MAP, MOLECULAR_IDENTIFIER_TAG, READ_ONE_BARCODE_TAG, READ_TWO_BARCODE_TAG, REMOVE_SEQUENCING_DUPLICATES, SORTING_COLLECTION_SIZE_RATIO, TAG_DUPLICATE_SET_MEMBERS, TAGGING_POLICY`

    - ### Fields inherited from class picard.sam.markduplicates.util.AbstractMarkDuplicatesCommandLineProgram

      `ASSUME_SORT_ORDER, ASSUME_SORTED, COMMENT, DUPLICATE_SCORING_STRATEGY, INPUT, METRICS_FILE, OUTPUT, pgIdsSeen, pgTagArgumentCollection, PROGRAM_GROUP_COMMAND_LINE, PROGRAM_GROUP_NAME, PROGRAM_GROUP_VERSION, PROGRAM_RECORD_ID, REMOVE_DUPLICATES`

    - ### Fields inherited from class picard.sam.markduplicates.util.AbstractOpticalDuplicateFinderCommandLineProgram

      `LOG, MAX_OPTICAL_DUPLICATE_SET_SIZE, OPTICAL_DUPLICATE_PIXEL_DISTANCE, opticalDuplicateFinder, READ_NAME_REGEX`

    - ### Fields inherited from class picard.cmdline.CommandLineProgram

      `COMPRESSION_LEVEL, CREATE_INDEX, CREATE_MD5_FILE, GA4GH_CLIENT_SECRETS, MAX_ALLOWABLE_ONE_LINE_SUMMARY_LENGTH, MAX_RECORDS_IN_RAM, QUIET, REFERENCE_SEQUENCE, referenceSequence, specialArgumentsCollection, TMP_DIR, USE_JDK_DEFLATER, USE_JDK_INFLATER, VALIDATION_STRINGENCY, VERBOSITY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimpleMarkDuplicatesWithMateCigar()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected int` | `doWork()` | Main work method.
    `protected htsjdk.samtools.util.CloseableIterator<htsjdk.samtools.DuplicateSet>` | `getDuplicateSetIterator​(AbstractMarkDuplicatesCommandLineProgram.SamHeaderAndIterator headerAndIterator, htsjdk.samtools.SAMRecordDuplicateComparator comparator)` |

    - ### Methods inherited from class picard.sam.markduplicates.util.AbstractMarkDuplicatesCommandLineProgram

      `addDuplicateReadToMetrics, addReadToLibraryMetrics, addSingletonToCount, finalizeAndWriteMetrics, getChainedPgIds, openInputs, trackOpticalDuplicates`

    - ### Methods inherited from class picard.sam.markduplicates.util.AbstractOpticalDuplicateFinderCommandLineProgram

      `customCommandLineValidation, setupOpticalDuplicateFinder`

    - ### Methods inherited from class picard.cmdline.CommandLineProgram

      `checkRInstallation, getCommandLine, getCommandLineParser, getCommandLineParserForArgs, getDefaultHeaders, getFaqLink, getMetricsFile, getPGRecord, getStandardUsagePreamble, getStandardUsagePreamble, getVersion, hasWebDocumentation, instanceMain, instanceMainWithExit, makeReferenceArgumentCollection, parseArgs, requiresReference, setDefaultHeaders, useLegacyParser`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleMarkDuplicatesWithMateCigar

          public SimpleMarkDuplicatesWithMateCigar()

  - ### Method Detail

    - #### doWork

          protected int doWork()

      Main work method.
      Overrides:
        `doWork` in class `MarkDuplicates`
      Returns:
        program exit status.

    - #### getDuplicateSetIterator

          protected htsjdk.samtools.util.CloseableIterator<htsjdk.samtools.DuplicateSet> getDuplicateSetIterator​(AbstractMarkDuplicatesCommandLineProgram.SamHeaderAndIterator headerAndIterator,
                                                                                                                 htsjdk.samtools.SAMRecordDuplicateComparator comparator)